# Type alias PluginFunction

PluginFunction: {
arguments?: string[];
isAsync?: boolean;
returns?: string;
run: ((...arg0) => any);
}

#### Type declaration

- ##### `Optional` arguments?: string[]

- ##### `Optional` isAsync?: boolean

- ##### `Optional` returns?: string

- ##### run: ((...arg0) => any)

  - - (...arg0): any

    - #### Parameters

      - ##### `Rest` ...arg0: any[]

      #### Returns any

- Defined in saltcorn-types/base_types.ts:360

Generated using TypeDoc